<link rel="stylesheet" href="/cms-cps/tuihmcruise/css/ddB.css" />
<h2 class="grey-text uppercase sub-heading pad-top-0"></h2>

<c:set var="DEPOSIT_EXIST" value="false" />
<c:set var="LOW_DEPOSIT_EXIST" value="false" />
<c:set var="LOW_DEPOSIT_PLUSDD_EXIST" value="false" />

<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />

<c:set var="CONST_LOW_DEPOSIT">lowDeposit</c:set>
<c:set var="CONST_LOW_DEPOSIT_PLUSDD">lowDepositPlusDD</c:set>
<c:set var="CONST_DEPOSIT">deposit</c:set>
<c:set var="CONST_FULL_COST">fullCost</c:set>

<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	
	<!--Below is payment info is needed for standard/low/lowplusDD-->
	<c:set var="DEPOSIT_EXIST" value="true" />
	<fmt:formatDate var="topUpDepositDueDate"
		value="${depositComponent.depositDueDate}" pattern="EEEE dd MMM yyyy" />
<%-- Outstanding balance after deducting promotional code discount that has been applied--%>
	<fmt:formatNumber var="outstandingBalanceDeposit"
		value="${depositComponent.outstandingBalance.amount-bookingInfo.calculatedDiscount.amount}"
		type="number" maxFractionDigits="2" minFractionDigits="2"
		pattern="#####.##" />

    <c:if test="${depositComponent.depositType == CONST_LOW_DEPOSIT}">
		<c:set var="LOW_DEPOSIT_EXIST" value="true" />
    </c:if>	
	<c:if test="${depositComponent.depositType == CONST_LOW_DEPOSIT_PLUSDD}">
		<c:set var="LOW_DEPOSIT_PLUSDD_EXIST" value="true" />
	</c:if>
</c:forEach>

<c:choose>
	<c:when test="${LOW_DEPOSIT_EXIST && LOW_DEPOSIT_PLUSDD_EXIST}">
		<c:set var="width_class" value="three-column"/>
		<c:set var="float_class" value="fl"/>
	</c:when>
	<c:when test="${(LOW_DEPOSIT_EXIST && !LOW_DEPOSIT_PLUSDD_EXIST) || (!LOW_DEPOSIT_EXIST && LOW_DEPOSIT_PLUSDD_EXIST)}">
	<!--If holiday is not eligible for lowdepositdd/lowdeposit display only respective and full-->
		<c:set var="width_class" value="two-column-width"/>
		<c:set var="float_class" value="fl"/>
	</c:when>
	<c:when test="${DEPOSIT_EXIST}">
	<!--If holiday is not eligible for lowdeposit display only standard and full-->
		<c:set var="width_class" value="two-column-width"/>
		<c:set var="float_class" value="fl"/>
	</c:when>
	<c:otherwise>
	<!--If only pay full exits -->
		<c:set var="full_pay_mode" value="true"/>
	</c:otherwise>	
</c:choose>

<div class="payment-type standard-layout bg-light-blue marg-bottom-20 <c:if test="${full_pay_mode}">full_pay</c:if>">
	<c:if test="${!full_pay_mode}">
		<c:forEach var="depositComponent"
				items="${bookingComponent.depositComponents}" varStatus="depositSts">
		<c:set var="depositType" value="${depositComponent.depositType}"
			scope="page" />
		<c:set var="deposit" value="${depositComponent.depositAmount.amount}"
			scope="page" />
		<fmt:formatDate var="depositDueDate"
			value="${depositComponent.depositDueDate}" pattern="EEEE dd MMM yyyy" />
		<c:choose> 
			<c:when test="${depositType == CONST_LOW_DEPOSIT}">
				<c:set var="termId" value="quarter-amt" />
				<c:set var="paymentName" value="lowDeposit" />
				<c:set var="depositClass" value="lowDepositbox" />
				<c:set var="title_payment" value="Manual card payments:"/>
				<c:set var="payment_id" value="initial"/>
			</c:when>			
		<c:when test="${depositType == CONST_DEPOSIT}">
				<c:set var="termId" value="half-amt" />
				<c:set var="paymentName" value="deposit" />
				<c:set var="depositClass" value="depositbox" />
				<c:set var="title_payment" value="Manual card payments:"/>
				<c:set var="payment_id" value="half"/>
		</c:when>
		<c:otherwise>
			<c:if test="${depositType == CONST_LOW_DEPOSIT_PLUSDD}">
				<c:set var="termId" value="quarter-amt-dd" />
				<c:set var="paymentName" value="lowDepositPlusDD" />
				<c:set var="depositClass" value="lowDepositboxDD" />						
				<c:set var="title_payment" value="Payment plan:" />	
				<c:set var="payment_id" value="initial_dd"/>
				</c:if>
			</c:otherwise>	
		</c:choose>
		<c:if test="${depositType == CONST_LOW_DEPOSIT}">
			<div class="deposite-section fl ${width_class} low un-select" data-payment-type="${depositType}" id="${termId}"  onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id)">
				<div class="title-container">
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="icon-v2 brand-blue icon-TUI_radio-on active radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-mode title">Low deposit</h3>
					 
					 <div> 
						 <span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
													maxFractionDigits="0" minFractionDigits="0" pattern="#####" /></span>			 
						 <div class='cb'></div>
						 <p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
					</div>
					<div>															
						<p class="align-left-text  cl-b"><a class="info-link" href="http://www.thomson.co.uk/destinations/info/low-deposit" target="_blank">Important  low deposit information</a></p>
					</div>
				</div>		
				<!--dd box new -->
				<div class="default-hide">											
					<div class="b deposite-box align-bottom-low">
						<div class="box ${depositClass}">					
							<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																					value="${paymentName}"/>
							<p class="title marg-bottom-10">${title_payment}</p>
							<ul>
								<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
																maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
									<span class=" fl ">Pay low deposit today </span>			
									<div class='cb'></div>
								</li>					
								<li class="marg-bottom-10">
									<span class=" fr ">&pound;<fmt:formatNumber
															value="${depositComponent.outstandingBalance.amount}"
															type="number" maxFractionDigits="2" minFractionDigits="2"
															pattern="#####" /></span>
									<span class=" fl ">Pay by <c:out value="${depositDueDate}"/></span>
									<div class='cb'></div>
								</li>
								<li class="marg-bottom-10">
									<span class=" fr ">&pound;<c:out value="${outstandingBalanceDeposit}"/></span>
									<span class=" fl ">Pay by <c:out value="${topUpDepositDueDate}" /></span>	
									<div class='cb'></div>
								</li>										
							</ul>			
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		<c:if test="${depositType == CONST_LOW_DEPOSIT_PLUSDD}">
			<div class="deposite-section fl ${width_class} un-select" data-payment-type="${depositType}" id="${termId}" onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id)">
				<div class="title-container">
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="icon-v2 brand-blue icon-TUI_radio-circle radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-mode title">Low deposit</h3>
					 
					 <div>
						 <span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
													maxFractionDigits="0" minFractionDigits="0" pattern="#####" /> + </span>							
						 <span class="price bold marg-left-5 blue-text dd-logo"></span>

						 <div class='cb'></div>
						 <p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
					</div>
					<div>			
						<p class="align-left last-ele"><span><i class="icon-v2 icon-TUI_Info icon-properties text-white fl"></i>Set up on next page, after you've paid your deposit</span></p>					
					</div>
				</div>		
				<!--dd box new -->
				<div class="default-hide">
					<div class="b DD-box">
						<div class="tui-grey-background DD-info-box">
							<ul>
								<li class="marg-bottom-10"><i class="caret tick blue"></i>No extra charge</li>
								<li class="marg-bottom-10"><i class="caret tick blue"></i>Set your withdrawal date</li>
								<li class="marg-bottom-10"><i class="caret tick blue"></i>Start paying next month</li>								
							</ul>
						</div>
					</div>

					<!--dd box new end-->							
					<div class="b deposite-box">
						<div class="box ${depositClass}">					
							<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																			value="${paymentName}"/>
							<p class="title marg-bottom-10">Payment plan:</p>
							<ul>
								<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
														maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
									<span class=" fl ">Pay low deposit today </span>			
									<div class='cb'></div>
								</li>					
								<li class="marg-bottom-10">
								<c:choose>
									<c:when test="${depositComponent.ddPaymentComponents[0].defaultSchedule}">
										<span class=" fr "><span class="bold">${depositComponent.ddPaymentComponents[0].payCount}x </span>&pound;<c:out value="${depositComponent.ddPaymentComponents[0].amount.amount}"/></span>
									</c:when>
									<c:otherwise>
										<span class=" fr "><span class="bold">${depositComponent.ddPaymentComponents[1].payCount}x </span>&pound;<c:out value="${depositComponent.ddPaymentComponents[1].amount.amount}"/></span>
									</c:otherwise>
								</c:choose>																	
									<span class=" fl ">Set up Direct Debit on the next page</span>	
											<div class='cb'></div>
								</li>										
							</ul>			
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		<c:if test="${depositType == CONST_DEPOSIT}">
			<div class="deposite-section fl ${width_class} low un-select" data-payment-type="${depositType}" id="${termId}"  onclick="updatePaymentInfo('${paymentName}');selectedpaymentMode(this.id)">
				<div class="title-container">
					<div class="price-list">
							<div class="deposit-amount fl" style='padding-left: 6px;'>
								<span class="icon-v2 brand-blue icon-TUI_radio-on active radio-button"></span>
						 </div>
					 </div>
					 <h3 class="sub-heading blue-text payment-modetitle">Standard deposit</h3>
					 
					 <div>
						 <span class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${deposit}" type="number"
														maxFractionDigits="0" minFractionDigits="0" pattern="#####" /></span>			 
						 <div class='cb'></div>
						<p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_${paymentName}"></span> if paid by credit card.</p>
					</div>						
				</div>		
				<!--dd box new -->
				<div class="default-hide">
					<div class="b deposite-box align-bottom-low">
					<div class="box ${depositClass}">					
								<input type="radio"  style="visibility:hidden;" hidden ="true" id="${payment_id}" name="depositType" class="radioBtn hide"
																				value="${paymentName}"/>
								<p class="title marg-bottom-10">${title_payment}</p>
								<ul>
									<li class="marg-bottom-10"><span class=" fr ">&pound;<fmt:formatNumber value="${deposit}" type="number"
															maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
										<span class=" fl ">Pay deposit today </span>			
										<div class='cb'></div>
									</li>
									<li class="marg-bottom-10">
										<span class=" fr ">&pound;<c:out value="${outstandingBalanceDeposit}"/></span>
										<span class=" fl ">Pay by <c:out value="${topUpDepositDueDate}" /></span>	
									<div class='cb'></div>
								</li>										
							</ul>				
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10"">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>
			</div>
		</c:if>
		</c:forEach>
	</c:if>
	<c:choose>
		<c:when test="${!full_pay_mode}">
			<div class="b full-cost-box ${width_class} ${float_class} un-select" data-payment-type="fullCost" id="full-amt" onclick="updatePaymentInfo('fullCost');selectedpaymentMode(this.id)">
				<div class="title-container">	
					<div class="price-list">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span style = "float:left; color:#70cbf4;'" class="radio-button fl<c:choose> <c:when test="${DEPOSIT_EXIST == true}">icon-TUI_radio-circle</c:when><c:otherwise>icon-TUI_radio-on active</c:otherwise></c:choose>"></span>
						</div>
					</div>					
					<h3 class="sub-heading blue-text payment-mode title full-cost-heading">Pay in Full</h3>			
					<div>
						<p class="price price-class fl bold blue-text">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
										maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></p>
						<div class='cb'></div>
						<p class="align-left-text grey-med">or &pound;<span id="creditCardChargeAmt_fullCost"></span> if paid by credit card.</p>
					</div>							
				</div>
				<div class="default-hide">
					<div class="b deposite-box align-bottom-full">
						<div class="box fullCostbox">
							<input type="radio"  style="visibility:hidden;" hidden="true" id="full" name="depositType" class="radioBtn hide" value="${CONST_FULL_COST}"/>
							<p class="title marg-bottom-10">No further payment required:</p>
					<p>Pay for your entire holiday now</p>				
						</div>
					</div>
				</div>
				<div class="tui-grey-light-background total-cost-section pad-10" style="min-height:20px;">
					<a class="show-text" href="javascript:void(0)" onclick="toggleContent(this);">
					See more<span class="icon-v2 icon-down align-icon"></span></a>
					<span class="total-cost fr">Total <span class="bold">&pound;<fmt:formatNumber value="${fullAmount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span></span></p>
				</div>		
			</div>
		</c:when>
		<c:otherwise>
			<div class="full-payment">
				<div class="title-container">
					<div class="price-list hide">
						<div class="deposit-amount fl" style='padding-left: 6px;'>
							<span class="radio-button fl icon-TUI_radio-on active" data-payment-type="fullCost" id="full-amt" onclick="updatePaymentInfo('fullCost');selectedpaymentMode(this.id)"></span>
						</div>
					</div>				
					<div class="fl ccdiv-price">
						<input type="radio"  style="visibility:hidden;" hidden="true" id="full" name="depositType" class="radioBtn hide" value="${CONST_FULL_COST}"/>
						<h3 class="sub-heading blue-text payment-modetitle full-cost-heading">
						<span class="pay-texts">Pay </span>
						<span class="price price-class bold blue-text"><span class="pound"> &pound;</span><fmt:formatNumber value="${fullAmount}" type="number"
										maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></span>
					<span class="pay-texts"> TODAY</span></h3></div>
					<div class="fl ccdiv-text">
					<h3 class="sub-heading cctext"><span class="align-left-text grey-med"> or &pound;<span id="creditCardChargeAmt_fullCost"></span> 
					if paid by credit card.</span></h3></div>
				</div>
			</div>
		</c:otherwise>
	</c:choose>
</div>
<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>
<script type="text/javascript" src="/cms-cps/tuihmcruise/js/functions_depositSection_directDebit.js"></script>
